指定对象的倾斜角度。 支持的平台:仅窗口 属性值只读:不 类型:双 弧度范围内的角度(以弧度为单位)在 -85 到 +85 度范围内。正角度表示向右倾斜;负值将添加 2*PI 以将其转换为正等效值。 言论倾斜角度是物体远离其垂直轴的“倾斜角度”。 例子工 务 局: Sub Example_ObliqueAngle() ' This example creates a text object in model space. ' It then changes the ObliqueAngle of the text object. Dim textObj As AcadText Dim textString As String Dim insertionPoint(0 To 2) As Double Dim height As Double ' Define the text object textString = "Hello, World." insertionPoint(0) = 3: insertionPoint(1) = 3: insertionPoint(2) = 0 height = 0.5 ' Create the text object in model space Set textObj = ThisDrawing.ModelSpace.AddText(textString, insertionPoint, height) ZoomAll MsgBox "The ObliqueAngle is " & textObj.ObliqueAngle, vbInformation, "ObliqueAngle Example" ' Change the value of the ObliqueAngle to 45 degrees (.707 radians) textObj.ObliqueAngle = 0.707 ZoomAll MsgBox "The ObliqueAngle is set to " & textObj.ObliqueAngle, vbInformation, "ObliqueAngle Example" End Sub Visual LISP: (vl-load-com) (defun c:Example_ObliqueAngle() ;; This example creates a text object in model space. ;; It then changes the ObliqueAngle of the text object. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the text object (setq insertionPoint (vlax-3d-point 3 3 0) textString "Hello, World." height 0.5) ;; Create the text object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq textObj (vla-AddText modelSpace textString insertionPoint height)) (vla-ZoomAll acadObj) (alert (strcat "The ObliqueAngle is " (rtos (vla-get-ObliqueAngle textObj) 2))) ;; Change the value of the ObliqueAngle to 45 degrees (.707 radians) (vla-put-ObliqueAngle textObj 0.707) (vla-ZoomAll acadObj) (alert (strcat "The ObliqueAngle is set to " (rtos (vla-get-ObliqueAngle textObj) 2))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:07
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.